Retrieve Job Information
curl --request GET \
--url https://api.uplift.ai/v1/data/export/job/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uplift.ai/v1/data/export/job/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uplift.ai/v1/data/export/job/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"errorMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}{
"error": "BadRequest",
"message": "The request parameters are invalid. Please review the request and try again."
}{
"error": "Unauthorized",
"message": "Bearer token is missing or invalid."
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource."
}{
"error": "NotFound",
"message": "The specified job ID was not found."
}{
"error": "TooManyRequests",
"message": "The rate limit has been exceeded. Please wait and try again later."
}{
"error": "InternalServerError",
"message": "An unexpected error occurred on the server. Please try again later."
}Data Export
Get Job Status
Retrieves the details and status of a job using the job ID.
GET
/
data
/
export
/
job
/
{jobId}
Retrieve Job Information
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier for the job to be retrieved.
Response
Successful retrieval of job details.
The unique identifier for the job.
The current status of the job.
Available options:
RUNNING, COMPLETED, FAILED, CANCELED Detailed error message if the job failed.
The time at which the job was created.
The time at which the job was completed, if applicable.
⌘I